#
# The aim of this plugin is to create the group mapping template for the
# HTCondor installation.
#
# Supported are four types of mapings:
#  - user regex for group or subgroup: regexp("<user name>",Owner)
#  - group allocation based on x509UserProxyVOName: strcat("group_", x509UserProxyVOName, ".", AcctSubGroup)
#  - group mapping based on number of cores requested (1 or > 1) (adds '_multicore')
#  - no mapping for specific groups (group_physics)
#
class htcondor::plugins::group_mapping (
  $user_regex_group = {
    'cms' => 'group_cms',
  },
  $user_regex_subgroup = {
    'prd' => 'production',
  },
  $map_x509vo_name = true,
  $map_multicore = true,
  $no_mapping_for = ['group_physics'],
) {

}
